rte_uuid.h(3)

NAME
rte_uuid.h

SYNOPSIS

#include <stdbool.h>
#include <stddef.h>
#include <string.h>

  Macros

#define RTE_UUID_INIT(a, b, c, d, e)
#define RTE_UUID_STRLEN (36 + 1)

  Typedefs

typedef unsigned char rte_uuid_t[16]

  Functions

bool rte_uuid_is_null (const rte_uuid_t uu)
static void rte_uuid_copy (rte_uuid_t dst, const rte_uuid_t src)
int rte_uuid_compare (const rte_uuid_t a, const rte_uuid_t b)
int rte_uuid_parse (const char *in, rte_uuid_t uu)
void rte_uuid_unparse (const rte_uuid_t uu, char *out, size_t len)

Detailed Description

UUID related functions originally from libuuid

Definition in file rte_uuid.h.

Macro Definition Documentation

  #define RTE_UUID_INIT( a, b, c, d, e)
Value:
    {       \
    ((a) >> 24) & 0xff, ((a) >> 16) & 0xff, \
    ((a) >> 8) & 0xff, (a) & 0xff,      \
    ((b) >> 8) & 0xff, (b) & 0xff,      \
    ((c) >> 8) & 0xff, (c) & 0xff,      \
    ((d) >> 8) & 0xff, (d) & 0xff,      \
    ((e) >> 40) & 0xff, ((e) >> 32) & 0xff, \
    ((e) >> 24) & 0xff, ((e) >> 16) & 0xff, \
    ((e) >> 8) & 0xff, (e) & 0xff       \
}

Helper for defining UUID values for id tables.

Definition at line 29 of file rte_uuid.h.

  #define RTE_UUID_STRLEN (36 + 1)
UUID string length

Definition at line 41 of file rte_uuid.h.

Typedef Documentation

  typedef unsigned char rte_uuid_t[16]
Struct describing a Universal Unique Identifier

Definition at line 24 of file rte_uuid.h.

Function Documentation

  bool rte_uuid_is_null (const rte_uuid_t uu)
Test if UUID is all zeros.

Parameters
    uu The uuid to check.

Returns
    true if uuid is NULL value, false otherwise

  void rte_uuid_copy (rte_uuid_t dst, const rte_uuid_t src) [inline], [static]
Copy uuid.

Parameters
    dst Destination uuid
    src Source uuid

Definition at line 61 of file rte_uuid.h.

  int rte_uuid_compare (const rte_uuid_t a, const rte_uuid_t b)
Compare two UUID's

Parameters
    a A UUID to compare
    b A UUID to compare

Returns
    returns an integer less than, equal to, or greater than zero if UUID a is is less than, equal, or greater than UUID b.

  int rte_uuid_parse (const char * in, rte_uuid_t uu)
Extract UUID from string

Parameters
    in Pointer to string of characters to convert
    uu Destination UUID

Returns
    Returns 0 on success, and -1 if string is not a valid UUID.

  void rte_uuid_unparse (const rte_uuid_t uu, char * out, size_t len)
Convert UUID to string

Parameters
    uu UUID to format
    out Resulting string buffer
    len Sizeof the available string buffer

Author

Generated automatically by Doxygen for DPDK from the source code.